Subject: [P2PSIP] Comments to draft-marocco-p2psip-interwork-01

From: "Willekens, Marc" <[email-masked]>
Date: Sun, 11 Mar 2007 14:53:26 +0100

Hi Enrico and David;
 
Some comments to your draft:
http://www.p2psip.org/drafts/draft-marocco-p2psip-interwork-01.txt
 
1. General remark
Thanks for your work already done for the P2PSIP inter-working to allow the interconnection between the "classic SIP" and the "new P2PSIP" networks. 

Question: how are we going to differentiate all the different types of "SIP networks" ;-)? Conventional SIP, canonical SIP, classic SIP, IETF SIP, 3GPP SIP, IMS SIP, Enterprise SIP, private SIP, public SIP, IPv4 SIP, IPv6 SIP, standard SIP, extended SIP, ...

2. Specific remarks

[Page 4], 1.1 Terminology, §5

P2PSIP Proxy Peer: Can we also consider this in an extended way as a gateway peer? Now the proxy is defined as having a function to forward SIP messages from the P2PSIP network to the conventional or canonical SIP networks. Is a "gateway" reserved for inter-working from SIP (P2P or conventional) to non-SIP networks (such as other P2P network, PSTN, etc.)? Can such a gateway also be part of the P2PSIP overlay network and then defined as a "P2PSIP Gateway peer" and registered as such in the p2p network or will it be kept in the conventional SIP network? Or will it be part of an additional P2P overlay network? I assume that all options are still open and currently the PSTN inter-working is kept in the conventional SIP network.

[Page 6], 2 Overview

If an addressed SIP UA does not belong to the own P2P overlay domain and when the originating SIP UA is only part of the local P2P network, then the request is forwarded to a P2PSIP Proxy which then belongs also to one or more conventional SIP networks, one or more P2PSIP networks, or one inter-domain connection network based on classic SIP or P2PSIP?

[Page 11], 3.3.3 Impacts on the overlay

When different nodes in the p2p network can fulfill the role of a proxy or a relay agent, how is the selection of a specific proxy/relay made out of the possible set of proxies? What kind of hash function is proposed to do this? Will there only be one key-partitioning approach? What when more and more distributed functions are made available but not on all nodes of the p2p network, i.e. when peers start differentiating more and more instead of being "real peers"? 

[Page 13], 5 Examples

Thanks for the examples.

Don't we have to consider also a case where a p2p network is used as an inter-domain connection network so that the P2PSIP proxy peer can request the inter-domain overlay network for the corresponding proxy of the public SIP or p2pSIP terminating network? Or is this something for another draft?

Best regards,
Marc Willekens
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip

---

From: "Enrico Marocco" <[email-masked]>
Date: Tue, 13 Mar 2007 01:00:36 +0100

Willekens, Marc wrote:
> *1. General remark*
> 
> Thanks for your work already done for the P2PSIP inter-working to allow 
> the interconnection between the "classic SIP" and the "new P2PSIP" 
> networks.
> 
> Question: how are we going to differentiate all the different types of 
> "SIP networks" ;-)? Conventional SIP, canonical SIP, classic SIP, IETF 
> SIP, 3GPP SIP, IMS SIP, Enterprise SIP, private SIP, public SIP, IPv4 
> SIP, IPv6 SIP, standard SIP, extended SIP, ...

I see no problem as long as the differences concern the internal 
structure on the networks.  Seen from outside, each network should 
appear just as a "conventional SIP network" and the intention of the 
interworking draft is in that sense.

> *2. Specific remarks*
> P2PSIP Proxy Peer: Can we also consider this in an extended way as a 
> gateway peer? Now the proxy is defined as having a function to forward 
> SIP messages from the P2PSIP network to the conventional or canonical 
> SIP networks. Is a "gateway" reserved for inter-working from SIP (P2P or 
> conventional) to non-SIP networks (such as other P2P network, PSTN, 
> etc.)? Can such a gateway also be part of the P2PSIP overlay network and 
> then defined as a "P2PSIP Gateway peer" and registered as such in the 
> p2p network or will it be kept in the conventional SIP network? Or will 
> it be part of an additional P2P overlay network? I assume that all 
> options are still open and currently the PSTN inter-working is kept in 
> the conventional SIP network.

In my very personal opinion, a gateway to non-SIP networks is a service 
which should be registered in the overlay, just as a proxy peer or a 
stun server.

> [Page 6], 2 Overview
> 
> If an addressed SIP UA does not belong to the own P2P overlay domain and 
> when the originating SIP UA is only part of the local P2P network, then 
> the request is forwarded to a P2PSIP Proxy which then belongs also to 
> one or more conventional SIP networks, one or more P2PSIP networks, or 
> one inter-domain connection network based on classic SIP or P2PSIP?

A proxy peer is registered in one P2PSIP network, plus is referred by a 
DNS record which makes it resolvable as defined in RFC 3263.  In 
general, it doesn't belong to more than one network.

> When different nodes in the p2p network can fulfill the role of a proxy 
> or a relay agent, how is the selection of a specific proxy/relay made 
> out of the possible set of proxies? What kind of hash function is 
> proposed to do this? Will there only be one key-partitioning approach? 
> What when more and more distributed functions are made available but not 
> on all nodes of the p2p network, i.e. when peers start differentiating 
> more and more instead of being "real peers"?

Good question.  I think it mainly depends on how registrations of 
well-known URLs (or services) are distributed among peers.

> [Page 13], 5 Examples
> 
> Thanks for the examples.
> 
> Don't we have to consider also a case where a p2p network is used as an 
> inter-domain connection network so that the P2PSIP proxy peer can 
> request the inter-domain overlay network for the corresponding proxy of 
> the public SIP or p2pSIP terminating network? Or is this something for 
> another draft?

It is an interesting case that surely deserves more investigation.  So 
far we have been considering a flat hierarchy right below the DNS level, 
laying aside more complex structures (e.g. overlays of overlays).

-- 
Ciao,
Enrico

Ahem.. Sorry, the notice below is not my fault :-(
--------------------------------------------------------------------

CONFIDENTIALITY NOTICE

This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please contact us by replying to [email-masked].

        Thank you

                                        www.telecomitalia.it

--------------------------------------------------------------------

---

From: Isaias Martinez Yelmo <[email-masked]>
Date: Wed, 14 Mar 2007 11:03:11 +0100

One question in relation with the update of DNS RRs. 

I am not an expert on DNS, but perhaps an approach for updating DNS RRs will 
be to use DNSSEC draft-ietf-dnssec-update-03. Nevertheless, the question is 
if the needed complexity to support DNSSEC, it has sense to deploy a P2PSIP 
service.

Isaias

-- 
Isaias Martinez Yelmo
Universidad Carlos III de Madrid
Departamento de Telemática
http://www.it.uc3m.es/~imyelmo
Asociación de Telématica:
http://www.telematica.ws
http://www.netcoms.net
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip